import CommonTemplate from "./common-template.mjs"

const fields = foundry.data.fields

export class CommonTemporel extends CommonTemplate {
  fields() {
    return {
      temporel: new fields.SchemaField({
        debut: new fields.SchemaField({
          indexDate: new fields.NumberField({ initial: -1, integer: true }),
          indexMinute: new fields.NumberField({ initial: 0, integer: true }),
        }),
        fin: new fields.SchemaField({
          indexDate: new fields.NumberField({ initial: -1, integer: true }),
          indexMinute: new fields.NumberField({ initial: 0, integer: true }),
        }),
      }),
    }
  }
  handlebars() { return [] }
  actions() { return {} }
  async prepareContext(item) { return {} }
}
